/*******************************************************************************
* Copyright (c) 2007, Perforce Software, Inc.  All rights reserved.
* 
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions are met:
* 
* 1.  Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer.
* 
* 2.  Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in the
*     documentation and/or other materials provided with the distribution.
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL PERFORCE 
* SOFTWARE, INC. BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
* ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR 
* TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF 
* THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH 
* DAMAGE.
*******************************************************************************/

/*
 * p4dctlerr.h - declarations of errors for p4dctl
 */

class CtlErr : public Error 
{
	public:
	    // Failed 
	static ErrorId BadCommand;
	static ErrorId MissingRequiredParm;
	static ErrorId ServerAccessDenied;
	static ErrorId NoRootServers;
	static ErrorId ConfigParseError;
	static ErrorId NoServersConfigured;
	static ErrorId ChildKilled;
	static ErrorId ChildFailed;
	static ErrorId ChildExecFail;
	static ErrorId SomeFailedStarts;
	static ErrorId SomeFailedStops;
	static ErrorId UnsafeConfig;
	static ErrorId CheckpointFail;
	static ErrorId RotateFail;

	    // Warnings
	static ErrorId SkippedServer;
	static ErrorId ServerNotRunning;
	static ErrorId AlreadyRunning;

	    // Info
	static ErrorId StartedServer;
	static ErrorId StartedServers;
	static ErrorId StoppedServer;
	static ErrorId StoppedServers;
	static ErrorId ServerRunning;
	static ErrorId KillingServer;
	static ErrorId Checkpointing;
	static ErrorId JnlRotate;

	static ErrorId UsageMain;
	static ErrorId UsageStart;
	static ErrorId UsageStop;
	static ErrorId UsageRestart;
	static ErrorId UsageStatus;
	static ErrorId UsageCheckpoint;
	static ErrorId UsageJournal;
} ;
